## org.apache.lucene.benchmark.byTask.feeds
Class EnwikiQueryMaker

    java.lang.Object
      org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker
          org.apache.lucene.benchmark.byTask.feeds.EnwikiQueryMaker

All Implemented Interfaces:
  QueryMaker

    public class EnwikiQueryMaker

extends AbstractQueryMaker

A QueryMaker that uses common and uncommon actual Wikipedia queries for searching the English Wikipedia collection. 90 queries total.

Field Summary

Fields inherited from class org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker
`config, qnum, queries`

Constructor Summary
`EnwikiQueryMaker()`

Method Summary
`protected Query[]` `prepareQueries()`

Methods inherited from class org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker
`makeQuery, makeQuery, nextQnum, printQueries, resetInputs, setConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnwikiQueryMaker

    public EnwikiQueryMaker()

Method Detail

### prepareQueries

    protected Query[] prepareQueries()
                              throws Exception

  Specified by:
    `prepareQueries` in class `AbstractQueryMaker`
  Throws:
    `Exception`